
plugins {
    id 'pmd'
    id 'maven-publish'
    id 'signing'
    id "io.github.gradle-nexus.publish-plugin" version "2.0.0-rc-1"
    id "com.jfrog.artifactory" version "5.2.3"
    id "org.cyclonedx.bom" version "1.8.2"
    id 'com.fizzpod.osv-scanner' version '3.0.9'
}

wrapper {
    gradleVersion = libs.versions.gradle.get()
    distributionType = Wrapper.DistributionType.BIN
}

ext {
    user = 'joerg'
    name = 'logging'
    description = 'Logging for Java 21+, a reimplementation of JBoss LogManager'
    inceptionYear = '2024'
    url = 'https://xbib.org/' + user + '/' + name
    scmUrl = 'https://xbib.org/' + user + '/' + name
    scmConnection = 'scm:git:git://xbib.org/' + user + '/' + name + '.git'
    scmDeveloperConnection = 'scm:git:ssh://forgejo@xbib.org:' + user + '/' + name + '.git'
    issueManagementSystem = 'Github'
    issueManagementUrl = ext.scmUrl + '/issues'
    licenseName = 'The Apache License, Version 2.0'
    licenseUrl = 'http://www.apache.org/licenses/LICENSE-2.0.txt'
}

subprojects {
    apply from: rootProject.file('gradle/repositories/artifactory.gradle')
    apply from: rootProject.file('gradle/repositories/forgejo.gradle')
    apply from: rootProject.file('gradle/compile/java.gradle')
    apply from: rootProject.file('gradle/test/junit5.gradle')
    apply from: rootProject.file('gradle/quality/pmd.gradle')
    apply from: rootProject.file('gradle/publish/maven.gradle')
}
apply from: rootProject.file('gradle/quality/cyclonedx.gradle')
apply from: rootProject.file('gradle/quality/osv-scanner.gradle')
apply from: rootProject.file('gradle/publish/xbib/forgejo.gradle')
apply from: rootProject.file('gradle/publish/hbz/artifactory.gradle')
//apply from: rootProject.file('gradle/publish/maven-central/sonatype.gradle')
